Ask Your Question

puppetlabs-mysql: how to include "require SSL" in a grant

asked 2014-03-17 13:36:14 -0500

rrico gravatar image

Disclaimer: newbie question

Using puppetlabs-mysql 2.2.1:

Is there a way to include "require SSL" in a mysql_grant? (Or is there another better way?)


  mysql_grant { "my_db@my_host/*.*":
    ensure     => 'present',
    privileges => ['REPLICATION SLAVE'],
    user       => "my_db@my_host",
    table      => '*.*',
    # something here to include "require SSL" - actually using require here looks like the puppet require
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted

answered 2014-03-17 17:32:57 -0500

Stefan gravatar image

I believe this is not implemented right now. The mysql_grant type has an options property that can take an array, but I don't see the provider is actually using the value.

But there is an open feature request [1] and a proposed solution [2] for the mysql_grant type on the project site so you may want to watch these.



edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower


Asked: 2014-03-17 13:36:14 -0500

Seen: 296 times

Last updated: Mar 17 '14